none
サービスパック5の入手方法 RRS feed

  • 質問

  • こんにちは、VB6のSP5の入手方法をご存知の方ご教授お願いします。
    メーカーのところでは入手する手前まで行きますが、ファイルが無い旨のエラーメッセージが出ます
    SP6でいいのかもしれませんが、通信で取り合いをするアプリケーションの都合上、VB6のSP5でないと
    保証出来ないとの事でしたので、何とかVB6SP5を入手したい次第です。
    お願いします。

    2009年9月24日 8:58

回答

  • SP6でいいのかもしれませんが、通信で取り合いをするアプリケーションの都合上、VB6のSP5でないと
    保証出来ないとの事でしたので、何とかVB6SP5を入手したい次第です。
    何が欲しいんでしょうか。
    ランタイムだけがあれば良いのでしょうか、開発環境として Service Pack 5 のバージョンが欲しいのでしょうか。

    ちなみに、Windows XP, Windows Vista, Windows 7 等には最初から Visual Basic 6.0 のランタイムが同梱されています。(どのバージョン相当かは確かめていません)
    参考: http://msdn.microsoft.com/ja-jp/vbasic/cc707268.aspx
    解決した場合は、参考になった返信に「回答としてマーク」のボタンを利用して、回答に設定しましょう(複数に設定できます)。
    2009年9月24日 21:42
    モデレータ
  • こんばんは、開発環境用を探していました。 
    「開発環境用」という表現が難しいところですが、Visual Basic 6.0 の IDE を SP5 相当にしたいという意味であれば、ランタイムを入手するだけでは不十分です。
    開発環境に当てるためのパッケージが必要です。
    同梱といいますと、OSをインストールすると、はじめから入っているもの
    でいいでしょうか?
    上記のページにまとめられている対応 OS では最初から Visual Basic 6.0 のランタイムが含まれています。
    但し、ご指定の SP5 とは限りません。恐らくは SP6 かそれ以降の独自のアップデートが入っているかどうかだと思います。
    最悪、別のPCで開発を行い、EXEファイルをPCに入れて動作するという
    手が使えそうです。
    「SP5 でしか保障できない」というのは、何に対するものだったのでしょうか?
    開発環境だけでしょうか?実行環境も含むのでしょうか?
    実行環境も含むのであれば、保障されないと判断せざる得ないかと思います。
    解決した場合は、参考になった返信に「回答としてマーク」のボタンを利用して、回答に設定しましょう(複数に設定できます)。
    2009年9月25日 14:06
    モデレータ
  • 「保証される条件」が良く読み取れないのでどちらとも言えません。
    恐らく、今の方針でも動くとは思いますが、その制御するシステムが動作保証をする環境から外れている可能性もあります。

    何を求めるか次第ですが、「とりあえず動けば OK」なら今の方針でも良いと思います。
    「動作保証されることが必須である」ならば、細かい条件を問い合わせるべきでしょう。
    解決した場合は、参考になった返信に「回答としてマーク」のボタンを利用して、回答に設定しましょう(複数に設定できます)。
    2009年9月26日 3:38
    モデレータ

すべての返信

  • これでしょうか。

     Visual Studio 6.0 Service Pack 5 - Visual Basic 版ダウンロード - Japanese
     http://www.microsoft.com/japan/msdn/vstudio/downloads/sp/vbdownload.aspx
    2009年9月24日 9:59
  • 質問者の方はそのページのリンクが死んでると言っているのでは。
    ダウンロードセンターで検索すると英語版のランタイムは見つかりますね。英語版で保証されるのかも分からないのでリンク貼るのはやめておきます。

    VBランタイムの単独配布は許されていなかったと思いますので「VB6のSP5でないと保証出来ない」と言っている方からもらえばいいのではないでしょうか?
    2009年9月24日 10:16
  • 質問者の方はそのページのリンクが死んでると言っているのでは。
    あれま、確かにリンク先が死んでますね。リンクをクリックしたら、開くか保存するかを訊いてきたので、てっきりその先があるのかと早合点してしまいました。失礼しました。
    2009年9月24日 10:43
  • こんばんは、おっしゃるとおりですね。
    明日、早速お願いしてみます。
    2009年9月24日 11:47
  • SP6でいいのかもしれませんが、通信で取り合いをするアプリケーションの都合上、VB6のSP5でないと
    保証出来ないとの事でしたので、何とかVB6SP5を入手したい次第です。
    何が欲しいんでしょうか。
    ランタイムだけがあれば良いのでしょうか、開発環境として Service Pack 5 のバージョンが欲しいのでしょうか。

    ちなみに、Windows XP, Windows Vista, Windows 7 等には最初から Visual Basic 6.0 のランタイムが同梱されています。(どのバージョン相当かは確かめていません)
    参考: http://msdn.microsoft.com/ja-jp/vbasic/cc707268.aspx
    解決した場合は、参考になった返信に「回答としてマーク」のボタンを利用して、回答に設定しましょう(複数に設定できます)。
    2009年9月24日 21:42
    モデレータ
  • こんばんは、開発環境用を探していました。
    しかしながら最初からランタイムが入っていたとは存じませんでした。
    同梱といいますと、OSをインストールすると、はじめから入っているもの
    でいいでしょうか?
    最悪、別のPCで開発を行い、EXEファイルをPCに入れて動作するという
    手が使えそうです。

    ちなみに要求しているメーカーの代理店に尋ねたら無いと回答をもらいました。
    明日、一度試してみます。
    まだ解決していませんが、まずは有難うございます。

    2009年9月25日 9:25
  • こんばんは、開発環境用を探していました。 
    「開発環境用」という表現が難しいところですが、Visual Basic 6.0 の IDE を SP5 相当にしたいという意味であれば、ランタイムを入手するだけでは不十分です。
    開発環境に当てるためのパッケージが必要です。
    同梱といいますと、OSをインストールすると、はじめから入っているもの
    でいいでしょうか?
    上記のページにまとめられている対応 OS では最初から Visual Basic 6.0 のランタイムが含まれています。
    但し、ご指定の SP5 とは限りません。恐らくは SP6 かそれ以降の独自のアップデートが入っているかどうかだと思います。
    最悪、別のPCで開発を行い、EXEファイルをPCに入れて動作するという
    手が使えそうです。
    「SP5 でしか保障できない」というのは、何に対するものだったのでしょうか?
    開発環境だけでしょうか?実行環境も含むのでしょうか?
    実行環境も含むのであれば、保障されないと判断せざる得ないかと思います。
    解決した場合は、参考になった返信に「回答としてマーク」のボタンを利用して、回答に設定しましょう(複数に設定できます)。
    2009年9月25日 14:06
    モデレータ
  • こんにちは、有難うございます
    対象のアプリは、PC上で制御するシステムでその補完として、ユーザーVB6で作成したプログラムを起動できるものです。
    そのPCに開発環境としてVB6、SP5が指定されていました。
    VB6をインストール後、SP5のランタイムを引き続きインストールしたらよさそうですね

    実行環境には、特に記載がなく、開発環境がSP5と指定されてるだけです。ランタイムについても記述が無いので
    EXEを所定の場所に格納することのみと、専用のグラフィック画面などの起動方法の記載のみありました。
    いまのところ、既に含まれているので実行環境としてはこのままでよいと思っています。
    開発環境を制御システムと同居させる場合はSP5がいりますよという意味で思っています。
    ここまで書いて、ヤフーでSP5のCDが入ったVBマガジンが出品されていることがわかりましたので
    入札して入手できれば万歳です。
    ダメでも、開発環境を同居させずに開発用のPCにVB6をインストール後SP5のランタイムを入れてプログラムを
    作成した上で、EXEをターゲットに入れることにしようと思います。

    まずは何とかなりそうです。有難うございました。
    2009年9月26日 1:44
  • 「保証される条件」が良く読み取れないのでどちらとも言えません。
    恐らく、今の方針でも動くとは思いますが、その制御するシステムが動作保証をする環境から外れている可能性もあります。

    何を求めるか次第ですが、「とりあえず動けば OK」なら今の方針でも良いと思います。
    「動作保証されることが必須である」ならば、細かい条件を問い合わせるべきでしょう。
    解決した場合は、参考になった返信に「回答としてマーク」のボタンを利用して、回答に設定しましょう(複数に設定できます)。
    2009年9月26日 3:38
    モデレータ

  • 開発用PCで、サンプルのEXEを作成してターゲットでテストして、うまく行きました。
    まだSP5は手元にありませんが、とりあえず動く事で良しとします。
    有難うございました。
    2009年9月26日 4:52